/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */

import com.arrebol.car.driver.security.CarDriverSecurity;
import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.Before;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class CarDriverSecurityTest {

    private static final String APP_NAME = "CarDriver";
    private static final String PASSWORD = "987654321";
    private CarDriverSecurity security;

    public CarDriverSecurityTest() {
    }

    @Before
    public void setUp() {
        this.security = new CarDriverSecurity(APP_NAME, PASSWORD);
    }

    @Test
    public void getPassword() {
        try {
            String pwd = security.getPassword();
            System.out.println(pwd);
            assertNotNull(pwd);
        } catch (Exception e) {
        }
    }

}
